Bug 240651

Summary: devel/ioncube: update from 10.3.1 to 10.3.8
Product: Ports & Packages Reporter: Eero Hänninen <fax>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: bagas1983, chris, svyatoslav.lempert, tcberner
Priority: --- Flags: svyatoslav.lempert: maintainer-feedback+
svyatoslav.lempert: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
devel/ioncube update patche from 10.3.1 to 10.3.8
none
ioncube-10.3.8.patch
svyatoslav.lempert: maintainer-approval+
ioncube patch to 10.3.8 with fixed distinfo
fax: maintainer-approval?
update to 10.4.1 svyatoslav.lempert: maintainer-approval+

Description Eero Hänninen 2019-09-17 20:23:40 UTC
Created attachment 207585 [details]
devel/ioncube update patche from 10.3.1 to 10.3.8

Version push to 10.3.8

Changes:
10.3.8
Fix for a possible crash in the PHP 7.3 Loader when OPcache was also enabled. 
Fix for PHP error exceptions not being caught in the PHP 7 Loaders. 
Fixes for PHP issues 71980, 75396 and 75786.
Fix for an incorrect call order with certain combinations of foreach, finally and exception in the PHP 7.1 Loader. 
Fix for incorrect line numbers being reported for undefined array index errors. 
Fix for a potential memory leak with the encoded paths feature of the Loader. 
IC24: Minor bug fixes, improvements and support for future features. Upgrading to the 10.3.8 Loader is particularly recommended for IC24 users. New 5.4 and 7.2 Loaders custom built for IBM for ppc64le.

10.3.7
Fix for a potential segmentation fault in the 10.3.5 and 10.3.6 Loaders when including a large file defining an array. The Loader version now can be obtained using phpversion("ionCube Loader").

10.3.6
Fix for an issue in the PHP 7.3 Loader where a case within a switch could be triggered even though the variable in the switch was undefined.
Fix for filepaths shown in debug_backtrace and similar functions being incorrect in some cases in the 10.3.5 Loaders.
Fix for possible segmentation faults in the 10.3.5 Loaders occurring with include file protection.

10.3.5
The ionCube Loader now has its own section in the phpinfo() output. That will include IC24 settings where relevant.
Fix for some memory leaks in PHP 5.6-7.3, particularly when including files in a loop. For undefined variables in assignments, correction to ensure that the line numbers in error messages are not mangled when line number obfuscation is not in place. 
Fix to ensure that the loader will accept large property values that were accepted by the Encoder. 
Fix to ensure that external encoding keys set at runtime using ini_set would be found.

10.3.4	
This updates Linux x86 32/64 bit Loders only, and fixes corruption of the HTTP_HOST server variable if it includes a port number, e.g. somedomain.com:1081. There is no change for other platforms other than the version number for consistency.

10.3.3
Fix for callback files not being called from bundled encoding files.
Added AArch64 (ARM64) as a new standard platform.

10.3.2
Fix for a potential issue with the corruption of included file paths, particularly on Windows.
Comment 1 Svyatoslav Lempert 2019-09-22 15:45:48 UTC
Created attachment 207718 [details]
ioncube-10.3.8.patch

Update to upstream version 10.3.8
Comment 2 Svyatoslav Lempert 2019-09-22 15:48:29 UTC
Comment on attachment 207585 [details]
devel/ioncube update patche from 10.3.1 to 10.3.8

no distinfo for i386
Comment 3 Svyatoslav Lempert 2019-09-22 15:53:31 UTC
Comment on attachment 207585 [details]
devel/ioncube update patche from 10.3.1 to 10.3.8

>Index: Makefile
>===================================================================
>--- Makefile	(revision 512081)
>+++ Makefile	(working copy)
>@@ -2,7 +2,7 @@
> # $FreeBSD$
> 
> PORTNAME=	ioncube
>-DISTVERSION=	10.3.1
>+DISTVERSION=	10.3.8
> CATEGORIES=	devel
> MASTER_SITES=	http://downloads.ioncube.com/loader_downloads/ \
> 		http://downloads2.ioncube.com/loader_downloads/ \
>Index: distinfo
>===================================================================
>--- distinfo	(revision 512081)
>+++ distinfo	(working copy)
>@@ -1,5 +1,3 @@
>-TIMESTAMP = 1546222666
>-SHA256 (ioncube/10.3.1/ioncube_loaders_fre_11_x86-64.tar.gz) = 26c5a3997138865128b53315c4edbcc2c9117cb1fd57d14747b01b109c949461
>-SIZE (ioncube/10.3.1/ioncube_loaders_fre_11_x86-64.tar.gz) = 12021094
>-SHA256 (ioncube/10.3.1/ioncube_loaders_fre_11_x86.tar.gz) = 578aa5792e9bc77ab15d2749618a319648b0b49361dca0fd47d26817c3508776
>-SIZE (ioncube/10.3.1/ioncube_loaders_fre_11_x86.tar.gz) = 11943309
>+TIMESTAMP = 1568502423
>+SHA256 (ioncube/10.3.8/ioncube_loaders_fre_11_x86-64.tar.gz) = 6dad8bc631f38da9965c44a335251d04bbc8661df4196638555965e66835a90b
>+SIZE (ioncube/10.3.8/ioncube_loaders_fre_11_x86-64.tar.gz) = 12163459
Comment 4 Eero Hänninen 2019-09-22 21:24:49 UTC
Created attachment 207728 [details]
ioncube patch to 10.3.8 with fixed distinfo

I have fixed now distinfo and uploaded new patch.
Currently both previous patches have mistakes (my patch has missing x86 distinfo and maintainer patch has wrong version numbers in distinfo)
Comment 5 Steve Wills freebsd_committer 2019-10-16 22:14:41 UTC
(In reply to Eero Hänninen from comment #4)
Someone please provide a correct patch.
Comment 6 Tobias C. Berner freebsd_committer 2020-03-08 18:58:35 UTC
ping?
Comment 7 bagas 2020-07-26 13:25:21 UTC
Ioncube port not updated 1.5 years, horror !!!

Stable version now.
13th Jul 2020 - Loader version 10.4.1

version in ports.
28th Dec 2018 - Loader version 10.3.1

The port has not been updated for 1.5 years.

When will the port be updated 10.4.1?!
Comment 8 bagas 2020-07-26 13:26:27 UTC
Because of such cases, I choose Linux more than FreeBSD!
Comment 9 Tobias C. Berner freebsd_committer 2020-07-26 13:45:20 UTC
(In reply to bagas from comment #8)
Moin moin

Patches are always welcome :)


mfg Tobias
Comment 10 Svyatoslav Lempert 2020-07-27 17:07:11 UTC
Created attachment 216807 [details]
update to 10.4.1

- Update to 10.4.1
Comment 11 Svyatoslav Lempert 2020-07-27 17:08:00 UTC
Comment on attachment 216807 [details]
update to 10.4.1

Please commit this
Comment 12 commit-hook freebsd_committer 2020-07-27 17:25:07 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jul 27 17:24:29 UTC 2020
New revision: 543539
URL: https://svnweb.freebsd.org/changeset/ports/543539

Log:
  devel/ioncube: update to 10.4.1

  2020-07-13 	10.4.1 	Fix for parent classes sometimes not being found in the
  PHP 7.4 Loader. Fix for incorrect errors arising when a class implemented an
  abstract method through a trait in the PHP 7.4 Loader. Corrected build for
  Aarch64 PHP 7.4 loaders.

  2020-06-29 	10.4.0 	Loaders for PHP 7.4. These will run files produced by
  the PHP 7.1 and 7.2 encoders. Fix for an issue with the encoded_paths feature
  in Windows.

  2020-02-28 	10.4.0 beta 2 	Second beta release of PHP 7.4 Loaders for
  Linux. These now run both 7.1- and 7.2-encoded files but do not support IC24.
  These beta loaders should not be used in a production environment.

  2020-02-27 	10.4.0 beta 	Beta release of PHP 7.4 Loaders for Linux. At
  present these only run 7.2-encoded files and should not be used in a production
  environment.

  2019-10-11 	10.3.9 	Fix for an issue in the PHP 7.3 Loader which could
  cause OPcache to be disabled on unencoded files. Fix for an issue in the PHP
  7.2 and 7.3 Loaders which could give a spurious warning message if a parameter
  of a method with a null value overrides a method with a nullable type.

  2019-08-23 	10.3.8 	Fix for a possible crash in the PHP 7.3 Loader when
  OPcache was also enabled. Fix for PHP error exceptions not being caught in the
  PHP 7 Loaders. Fixes for PHP issues 71980, 75396 and 75786. Fix for an
  incorrect call order with certain combinations of foreach, finally and
  exception in the PHP 7.1 Loader. Fix for incorrect line numbers being reported
  for undefined array index errors. Fix for a potential memory leak with the
  encoded paths feature of the Loader. IC24: Minor bug fixes, improvements and
  support for future features. Upgrading to the 10.3.8 Loader is particularly
  recommended for IC24 users. New 5.4 and 7.2 Loaders custom built for IBM for
  ppc64le.

  2019-06-25 	10.3.7 	Fix for a potential segmentation fault in the 10.3.5
  and 10.3.6 Loaders when including a large file defining an array. The Loader
  version now can be obtained using phpversion("ionCube Loader").

  2019-06-18 	10.3.6 	Fix for an issue in the PHP 7.3 Loader where a case
  within a switch could be triggered even though the variable in the switch was
  undefined. Fix for filepaths shown in debug_backtrace and similar functions
  being incorrect in some cases in the 10.3.5 Loaders. Fix for possible
  segmentation faults in the 10.3.5 Loaders occurring with include file
  protection.

  2019-06-04 	10.3.5 	The ionCube Loader now has its own section in the
  phpinfo() output. That will include IC24 settings where relevant. Fix for some
  memory leaks in PHP 5.6-7.3, particularly when including files in a loop. For
  undefined variables in assignments, correction to ensure that the line numbers
  in error messages are not mangled when line number obfuscation is not in place.
  Fix to ensure that the loader will accept large property values that were
  accepted by the Encoder. Fix to ensure that external encoding keys set at
  runtime using ini_set would be found.

  2019-04-07 	10.3.4 	This updates Linux x86 32/64 bit Loders only, and fixes
  corruption of the HTTP_HOST server variable if it includes a port number, e.g.
  somedomain.com:1081. There is no change for other platforms other than the
  version number for consistency.

  2019-04-05 	10.3.3 	Fix for callback files not being called from bundled
  encoding files.  Added AArch64 (ARM64) as a new standard platform.

  2019-01-02 	10.3.2 	Fix for a potential issue with the corruption of
  included file paths, particularly on Windows.

  PR:		240651
  Submitted by:	Svyatoslav Lempert <svyatoslav.lempert@gmail.com> (maintainer)
  Reported by:	Eero H?nninen <fax@nohik.ee>

Changes:
  head/devel/ioncube/Makefile
  head/devel/ioncube/distinfo